package com.reyun.saas.mob.log.dao;

import com.reyun.saas.common.core.Mapper;
import com.reyun.saas.mob.log.domain.SysLog;
import com.reyun.saas.mob.log.dto.SysLogExportDTO;
import com.reyun.saas.mob.log.dto.SysLogInputDTO;
import com.reyun.saas.mob.log.dto.SysLogOutpDTO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SysLogMapper extends Mapper<SysLog> {
    List<SysLogOutpDTO> selectLogByQuery(@Param("dto") SysLogInputDTO inputDTO);

    List<SysLogExportDTO> exportLogList(@Param("dto") SysLogInputDTO inputDTO);
}