package com.reyun.saas.mob.openapi.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author: hanzepeng
 * @Date: 2022/02/11/18:21
 * @Description: openApi用户数据DTO对象
 */
@Data
@ApiModel(value = "UserOutDTO", description = "OpenApi 用户输出DTO对象")
public class UserOutDTO {

    @ApiModelProperty(value="用户名")
    private String username;

    @ApiModelProperty(value="oid")
    private String oid;

    @ApiModelProperty(value="创建时间")
    private Date createTime;


}
