package com.reyun.saas.mob.openapi.service;

import com.reyun.saas.mob.openapi.domain.CollaborativeProject;
import com.reyun.saas.mob.openapi.dto.AppInputDTO;
import com.reyun.saas.mob.user.domain.App;

import java.util.List;

/**
 * @author: hanzepeng
 * @Date: 2022/02/11/13:36
 * @Description: openApi App业务层接口
 */
public interface OpenApiAppService {

    /**
     * 创建appdto
     */
    App create(AppInputDTO appInputDTO, CollaborativeProject project);


    /**
     * 根據oid查询app
     */
    List<App> findAppsByOid(String oid);
}
