package com.reyun.saas.mob.openapi.service;

import com.reyun.saas.mob.openapi.domain.CollaborativeProject;

import java.util.Set;

/**
 * @author: hanzepeng
 * @Date: 2022/02/14/11:00
 * @Description: RTA配置业务层接口
 */
public interface OpenApiRtaService {

    /**
     * 更新合作项目的RTA ip白名单
     */
    void updateIpWhiteList(CollaborativeProject project, Set<String> ips);


    /**
     * 查询合作项目的rta ip白名单
     */
    Set<String> ipWhiteList(CollaborativeProject project);

}
