package com.reyun.saas.mob.openapi.service;

import com.reyun.saas.mob.openapi.domain.CollaborativeProject;
import com.reyun.saas.mob.openapi.dto.SignupDTO;
import com.reyun.saas.mob.user.domain.User;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * @author: hanzepeng
 * @Date: 2022/02/09/13:51
 * @Description: apenApi用户业务层接口
 */
public interface OpenApiUserService {

    /**
     * openApi注册用户
     */
    User signup(SignupDTO signupDTO, CollaborativeProject project, HttpServletRequest request);

    /**
     * 查询合作项目创建的用户
     */
    List<User> findUsers(CollaborativeProject project);
}
