package com.reyun.saas.mob.user.dao;

import com.reyun.saas.common.core.Mapper;
import com.reyun.saas.mob.user.domain.WarningDataInfo;
import com.reyun.saas.mob.user.vo.WarningConfigParam;
import org.apache.ibatis.annotations.Select;

import java.util.List;

public interface WarningDataInfoMapper extends Mapper<WarningDataInfo> {
    @Select("select * from warning_data_info where ds >= #{startDate} and ds <= #{endDate} and config_id = #{configId}")
    List<WarningDataInfo> selectByConfigId(WarningConfigParam warningConfigParam);
}
