package com.reyun.saas.mob.user.service;

import com.reyun.saas.mob.user.domain.AfficheAck;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * @author: hanzepeng
 * @Date: 2022/03/03/18:40
 * @Description: 公告业务层接口
 */
public interface AfficheSerivce {

    /**
     * 根据用户id 查询公告确认情况
     */
    List<AfficheAck> findAckByUserId(Long userId);

    /**
     * 创建公告确认记录
     */
    AfficheAck createAfficheAck(Long loginUserId, String afficheName, HttpServletRequest request);
}
