package com.reyun.saas.mob.user.vo;

import com.reyun.saas.mob.user.domain.WarningAddressee;
import com.reyun.saas.mob.user.domain.WarningConfig;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @desc
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel(value="WarningConfig",description="预警配置")
public class WarningConfigVO {
    @ApiModelProperty(value="预警配置")
    private WarningConfig warningConfig;
    @ApiModelProperty(value="收信人(list)")
    private List<WarningAddressee> addressees;
}
