package com.reyun.saas.report.realtimecommon.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Table;


@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Table(name = "channel_info")
public class ChannelInfo {

    /**
     * 渠道id
     */
    private String cid;

    /**
     * appkey
     */
    private String appkey;

    /**
     * 同步至web数据库的状态
     */
    @Column(name = "sync_status")
    private Boolean syncStatus;

    /**
     * 实时当天首次获取该app的时间
     */
    private String ds;

}
