package com.reyun.saas.web.controller.health;

import com.reyun.saas.common.framework.ApiRestController;
import com.reyun.saas.common.restResult.RestResult;
import com.reyun.saas.common.restResult.ResultGenerator;
import org.springframework.web.bind.annotation.GetMapping;
import springfox.documentation.annotations.ApiIgnore;

/**
 * @desc 提供给运维的接口检测后台服务状态
 */
@ApiIgnore
@ApiRestController("/health")
public class HealthMonitoringController {
    @GetMapping("/get")
    public RestResult get(){
        return ResultGenerator.genSuccessResult();
    }
}
