package com.reyun.saas.mob.openapi.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author: hanzepeng
 * @Date: 2022/02/09/17:01
 * @Description: 合作项目与用户关系实体对象
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Table(name = "collaborative_project_user")
public class CollaborativeProjectUser implements Serializable {

    //合作项目id
    @Id
    @Column(name = "collaborative_project_id")
    private Long projectId;

    //用户id
    @Column(name = "user_id")
    private Long userId;

}
