package com.reyun.saas.mob.user.dao;

import com.reyun.saas.common.core.Mapper;
import com.reyun.saas.mob.user.domain.Role;
import com.reyun.saas.mob.user.dto.role.RoleDTO;
import org.apache.ibatis.annotations.Param;

public interface RoleMapper extends Mapper<Role> {

    /**
     * 获取所有角色信息与权限
     * @return ArrayList<Role> 角色信息集合
     */
    RoleDTO getMenusByRoleId(@Param("id") Long id);
}