package com.reyun.saas.mob.user.dto;

import com.reyun.saas.mob.user.domain.MenuRight;
import lombok.Data;

import java.util.List;

/**

 * @ClassName: LoginOutpDTO
 * @Description: TODO
 * @date 2019-08-15 15:39
 */
@Data
public class LoginOutpDTO {

    /**
     * 主键ID
     */
    private Long id;

    /**
     * 主用户唯一oid且不可变
     */
    private String oid;

    /**
     * 用户名
     */
    private String username;

    /**
     * 真实姓名
     */
    private String actualName;

    /**
     * 性别
     */
    private int sex;

    /**
     * 电话
     */
    private String phone;

    /**
     * 公司
     */
    private String company;

    /**
     * 父用户id
     */
    private Long rootParent;

    /**
     * 前端需要显示的菜单
     */
    private List<MenuRight> menus;
}
