package com.reyun.saas.mob.user.dto;

import com.reyun.saas.mob.user.domain.Role;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**

 * @ClassName: MenuDTO
 * @Description: 前端展示的菜单
 */
@Data
public class MenuDTO implements Serializable {

    private Long id;

    private Long parentId;

    private String name;

    private Integer seq;

    private String url;

    private Integer status;

    private String icon;

    private String method;

    private Integer grades;

    private List<Role> roles;
}
