package com.reyun.saas.mob.user.service;

import com.reyun.saas.common.restResult.RestResult;

import java.util.Map;

/**
 * @author: hanzepeng
 * @Date: 2021/10/11/16:06
 * @Description: 数据中心非报表类业务层接口
 */
public interface MetaDataService {


    /**
     * 查询7日设备状态信息
     * @param map appkey 和 设备id
     * @param loginUserId 当前登录用户id
     * @return
     */
    RestResult equipmentStatus(Map map, Long loginUserId);

    /**
     * 实时日志流
     * @param appkey appkey
     * @param loginUserId 档期登录用户id
     * @return
     */
    RestResult logFlow(String appkey, Long loginUserId);

}
