package com.reyun.saas.mob.user.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @desc 接收参数
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel(value="WarningConfigParam",description="预警接收参数类")
public class WarningConfigParam {

    @ApiModelProperty(value="os")
    private String os;

    @ApiModelProperty(value="appkey")
    private String appkey;

    @ApiModelProperty(value="渠道主键id")
    private Long channelId;

    @ApiModelProperty(value="启用状态")
    private Boolean isusing;

    @ApiModelProperty(value="搜索内容")
    private String searchText;

    @ApiModelProperty(value="邮箱")
    private String email;

    @ApiModelProperty(value="开始日期")
    private String startDate;

    @ApiModelProperty(value="结束日期")
    private String endDate;

    @ApiModelProperty(value = "配置主键id")
    private Long configId;

}
