package com.reyun.saas.report.data.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface DropDownReportMapper {
    @Select("select ${column} from `yy-flink`.data_info_day where os =#{os} and appkey in (${appkeys}) and ${column} is not null and ${column}!='' UNION select ${column} from `yy_etl`.data_info_day where os =#{os} and appkey in (${appkeys}) and ${column} is not null and ${column}!='' ")
    List<String> getVersion(@Param("column")String column,@Param("appkeys") String appkeys,@Param("os") String os);
}
