package com.reyun.saas.common.framework;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 接口路径前缀配置
 * @author C西
 */
@Component
@ConfigurationProperties(prefix = "api.path")
@Data
public class ApiPathProperties {

    String globalPrefix = "api";

    String reportPrefix = "api/report";

    String openApiCpPrefix = "openapi/cp";
}
